<?xml version="1.0"?>

<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output 
    indent = "yes"
    method = "xml"/>

  <xsl:template match="document">
    <xsl:apply-templates select="zip"/>
  </xsl:template>

  <xsl:template match="zip">
    <xsl:element name="document">
      <xsl:element name="zap">
        <xsl:apply-templates/>
      </xsl:element>
    </xsl:element>
  </xsl:template>

</xsl:stylesheet>
